%global gcc_version 6.3.0

Name: gcc
Version: 6
Release: 2
License: GPL-3.0-or-later
URL: http://gcc.gnu.org/
Summary: GNU Compiler Collection
BuildArch: noarch

Requires: gcc%{version} = %{gcc_version}

%description
The gcc package contains the GNU Compiler Collection version %{gcc_version}.
You'll need this package in order to compile C code.


%package cpp
Summary: The C Preprocessor

Requires: gcc%{version}-cpp = %{gcc_version}

%description cpp
Cpp is the GNU C-Compatible Compiler Preprocessor.
Cpp is a macro processor which is used automatically
by the C compiler to transform your program before actual
compilation. It is called a macro processor because it allows
you to define macros, abbreviations for longer
constructs.

The C preprocessor provides four separate functionalities: the
inclusion of header files (files of declarations that can be
substituted into your program); macro expansion (you can define macros,
and the C preprocessor will replace the macros with their definitions
throughout the program); conditional compilation (using special
preprocessing directives, you can include or exclude parts of the
program according to various conditions); and line control (if you use
a program to combine or rearrange source files into an intermediate
file which is then compiled, you can use line control to inform the
compiler about where each source line originated).

You should install this package if you are a C programmer and you use
macros.

%package cplusplus
Summary: C++ support for GCC

Requires: gcc%{version}-cplusplus = %{gcc_version}
Provides: gcc-c++ = %{version}-%{release}

%description cplusplus
This package adds C++ support to the GNU Compiler Collection.
It includes support for most of the current C++ specification,
including templates and exception handling.

%package gfortran
Summary: Fortran 95 support

Requires: gcc%{version}-gfortran = %{gcc_version}

%description gfortran
The gcc-gfortran package provides support for compiling Fortran 95
programs with the GNU Compiler Collection.

%install

mkdir -p %{buildroot}%{_bindir}

for bin in gcc g++ gfortran gcc-ar gcc-nm gcc-ranlib gcov cpp
do
  ln -s ${bin}-%{version} %{buildroot}%{_bindir}/${bin}
done

ln -s gcc-%{version} %{buildroot}%{_bindir}/cc
ln -s g++-%{version} %{buildroot}%{_bindir}/c++
ln -s gfortran-%{version} %{buildroot}%{_bindir}/f95


%files
%defattr(-, qsys, *none)

%{_bindir}/gcc
%{_bindir}/cc

%{_bindir}/gcc-ar
%{_bindir}/gcc-nm
%{_bindir}/gcc-ranlib
%{_bindir}/gcov

%files cpp
%defattr(-, qsys, *none)

%{_bindir}/cpp

%files cplusplus
%defattr(-, qsys, *none)

%{_bindir}/g++
%{_bindir}/c++

%files gfortran
%defattr(-, qsys, *none)

%{_bindir}/gfortran
%{_bindir}/f95

%changelog
* Tue Oct 27 2020 Kevin Adler <kadler@us.ibm.com> - 6
- Initial version based on how SUSE does it
